# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1138  -> 1.1139 
#	arch/i386/kernel/dmi_scan.c	1.37    -> 1.38   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 03/11/07	len.brown@intel.com	1.1139
# [ACPI] If ACPI is disabled by DMI BIOS date, then
# turn it off completely, including table parsing for HT.
# This avoids a crash due to ancient garbled tables.
# acpi=force is available to over-ride this default.
# http://bugzilla.kernel.org/show_bug.cgi?id=1434
# --------------------------------------------
#
diff -Nru a/arch/i386/kernel/dmi_scan.c b/arch/i386/kernel/dmi_scan.c
--- a/arch/i386/kernel/dmi_scan.c	Fri Nov  7 17:46:15 2003
+++ b/arch/i386/kernel/dmi_scan.c	Fri Nov  7 17:46:15 2003
@@ -1108,6 +1108,7 @@
 				printk(KERN_NOTICE "ACPI disabled because your bios is from %s and too old\n", s);
 				printk(KERN_NOTICE "You can enable it with acpi=force\n");
 				acpi_disabled = 1; 
+				acpi_ht = 0;
 			} 
 		}
 	}
